import { jsx as _jsx } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
export const useResponsiveContainerPadding = () => {
    const theme = useTheme();
    return css({
        padding: `0 ${theme.spaces.xs}`,
        [theme.mediaQueries.sm]: {
            padding: `0 ${theme.spaces.none}`
        },
        [theme.mediaQueries.md]: {
            padding: `0 ${theme.spaces.sm}`
        },
        [theme.mediaQueries.lg]: {
            padding: `0 ${theme.spaces.md}`
        },
        [theme.mediaQueries.xl]: {
            padding: `0 ${theme.spaces.lg}`
        }
    });
};
export const Container = (props) => {
    const responsiveContainerPadding = useResponsiveContainerPadding();
    return (_jsx("div", Object.assign({ css: [
            {
                width: "100%",
                maxWidth: "1200px",
                boxSizing: "border-box",
                margin: "0 auto"
            },
            responsiveContainerPadding
        ] }, props), void 0));
};
Container.propTypes = {
    children: PropTypes.node
};
export function NegativeMarginsContainer(props) {
    const theme = useTheme();
    return (_jsx("div", Object.assign({ css: {
            marginLeft: `-${theme.spaces.md}`,
            marginRight: `-${theme.spaces.md}`,
            [theme.mediaQueries.lg]: {
                marginLeft: `-${theme.spaces.lg}`,
                marginRight: `-${theme.spaces.lg}`
            }
        } }, props), void 0));
}
//# sourceMappingURL=Container.js.map