import * as React from "react";
import { Theme } from "./Theme";
export declare const getVariantStyles: (theme: Theme, variant: TextVariants) => import("@emotion/utils").SerializedStyles;
export declare type TextVariants = "uppercase" | "hidden" | "body" | "paragraph" | "subtitle" | "lead" | "h6" | "h5" | "h4" | "h3" | "h2" | "h1" | "display3" | "display2" | "display1";
export interface TextProps extends React.HTMLAttributes<HTMLElement> {
    /** The text style */
    variant?: TextVariants;
    /** Use text-overflow: ellipsis styling when set to false */
    wrap?: boolean;
    /** Use muted colors */
    muted?: boolean;
    /** Set to false to remove any bottom margins */
    gutter?: boolean;
    component?: React.ElementType<TextProps>;
}
export declare const Text: React.FunctionComponent<TextProps>;
