import { __rest } from "tslib";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import * as React from "react";
import { useTouchable } from "touchable-hook";
import cx from "classnames";
import { safeBind } from "./Hooks/compose-bind";
export const Touchable = React.forwardRef((_a, ref) => {
    var { children, className = "", delay, pressExpandPx, terminateOnScroll = true, component: Component = "button", onPress, disabled = false } = _a, other = __rest(_a, ["children", "className", "delay", "pressExpandPx", "terminateOnScroll", "component", "onPress", "disabled"]);
    const isLink = other.to || other.href;
    const { bind, hover, active } = useTouchable({
        onPress,
        disabled,
        delay,
        terminateOnScroll,
        pressExpandPx,
        behavior: isLink ? "link" : "button"
    });
    return (_jsx(Component, Object.assign({ className: cx("Touchable", className, {
            "Touchable--hover": hover,
            "Touchable--active": active
        }) }, safeBind({ ref }, bind, other), { children: children }), void 0));
});
//# sourceMappingURL=Touchable.js.map